%def_disable static

Name: lzma-utils
%define origname lzma
Version: 4.32.0
%define origversion 4.32.0beta3
Release: alt0.beta3

Summary: Tools for creating LZMA-compressed files
License: GPL
Group: Archiving/Compression
URL: http://tukaani.org/lzma/

Source: http://tukaani.org/lzma/%origname-%origversion.tar.gz
Patch0: lzma-4.32.0-liblzmadec-dynlink.patch 
BuildRequires: gcc-c++

%description
Set of programs for compressing, and decompressing single file or stream
with LZMA compression.
They has very similar command line interface than what gzip and bzip2 have.
Includes following utilities:
* lzcat
* lzcmp
* lzdiff
* lzgrep
* lzless/lzmore
* lzma/unlzma
* lzmadec
* lzmainfo

%package -n liblzmadec
Summary: Library for decoding LZMA-compressed files and streams.
Group: System/Libraries

%description -n liblzmadec
Library for decoding LZMA-compressed files and streams.

%package -n liblzmadec-devel
Summary: Headers for liblzmadec
Group: Development/C
Requires: liblzmadec = %version-%release

%description -n liblzmadec-devel
Headers for building software that uses liblzmadec

%if_enabled static
%package -n liblzmadec-devel-static
Summary: Static libraries for liblzmadec
Group: Development/C
Requires: liblzmadec-devel = %version-%release

%description
Static liblzmadec library
%endif

%prep
%setup -q -n %origname-%origversion
%patch0 -p1

%build
autoreconf -fisv
%add_optflags -Wno-non-virtual-dtor
%configure %{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n liblzmadec -p %post_ldconfig
%postun -n liblzmadec -p %postun_ldconfig

%files
%doc AUTHORS README NEWS
%_bindir/*
%_man1dir/*

%files -n liblzmadec
%_libdir/*.so.*

%files -n liblzmadec-devel
%_libdir/*.so
%_includedir/*.h

%if_enabled static
%files -n liblzmadec-devel-static
%_libdir/*.a
%endif

%changelog
* Wed Nov 15 2006 Damir Shayhutdinov <damir@altlinux.ru> 4.32.0-alt0.beta3
- Initial build for ALT Linux
- Link tools with dynamic liblzmadec instead of static.
